com.sun.java.xml.ns.javaee

## Class ServletMappingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ServletMappingType

-     public class ServletMappingType
      extends Object

  The servlet-mappingType defines a mapping between a servlet and a url pattern. Used in: web-app

  Java-Klasse für servlet-mappingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="servlet-mappingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="servlet-name" type="{http://java.sun.com/xml/ns/javaee}servlet-nameType"/>
               <element name="url-pattern" type="{http://java.sun.com/xml/ns/javaee}url-patternType" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected ServletNameType` | `servletName`
    `protected List<UrlPatternType>` | `urlPattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletMappingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `ServletNameType` | `getServletName()` Ruft den Wert der servletName-Eigenschaft ab.
    `List<UrlPatternType>` | `getUrlPattern()` Gets the value of the urlPattern property.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setServletName(ServletNameType value)` Legt den Wert der servletName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletName

          protected ServletNameType servletName

    - #### urlPattern

          protected List<UrlPatternType> urlPattern

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ServletMappingType

          public ServletMappingType()

  - ### Method Detail

    - #### getServletName

          public ServletNameType getServletName()

      Ruft den Wert der servletName-Eigenschaft ab.
      Returns:
        possible object is `ServletNameType`

    - #### setServletName

          public void setServletName(ServletNameType value)

      Legt den Wert der servletName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `ServletNameType`

    - #### getUrlPattern

          public List<UrlPatternType> getUrlPattern()

      Gets the value of the urlPattern property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the urlPattern property.

      For example, to add a new item, do as follows:

              getUrlPattern().add(newItem);

      Objects of the following type(s) are allowed in the list `UrlPatternType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.